<?php
namespace Claromentis\Pages\Category;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_8dabb06efc95df4cff7c4afe91" . "857b53" => base64_decode("bm" . "Ft" . "ZQ" . "=="), "_28fd57f" . "750dbb5f" . "fb3ffad3" . "a888358a" . "9" => base64_decode("ZGVzY3Jpc" . "HRpb24="), "_aad576a27d427" . "0db0bcce79b5b7" . "65b54" => base64_decode("aWNvbg" . "=="));
class Category
{
    private $description;
    private $icon;
    private $name;
    
    
    
    
    
    
    
    
    public function __construct(string $_8dabb06efc95df4cff7c4afe91857b53, ?string $_28fd57f750dbb5ffb3ffad3a888358a9, ?string $_aad576a27d4270db0bcce79b5b765b54)
    {
        $this->SetName($_8dabb06efc95df4cff7c4afe91857b53);
        if ($_28fd57f750dbb5ffb3ffad3a888358a9 !== null) {
            $this->SetDescription($_28fd57f750dbb5ffb3ffad3a888358a9);
        }
        if ($_aad576a27d4270db0bcce79b5b765b54 !== null) {
            $this->SetIcon($_aad576a27d4270db0bcce79b5b765b54);
        }
    }
    
    
    
    
    public function GetDescription() : ?string
    {
        return $this->description;
    }
    
    
    
    
    public function GetIcon() : ?string
    {
        return $this->icon;
    }
    
    
    
    
    public function GetName() : string
    {
        return $this->name;
    }
    
    
    
    
    public function GetProperties() : array
    {
        return [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_8dabb06ef" . "c95df4cff7" . "c4afe91857" . "b53"] => $this->GetName(), $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_28fd57f750" . "dbb5ffb3ffa" . "d3a888358a9"] => $this->GetDescription(), $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_aad576a27d4270db0bc" . "ce79b5b765b54"] => $this->GetIcon()];
    }
    
    
    
    
    private function SetDescription(string $_28fd57f750dbb5ffb3ffad3a888358a9)
    {
        $this->description = $_28fd57f750dbb5ffb3ffad3a888358a9;
    }
    
    
    
    
    private function SetIcon(string $_aad576a27d4270db0bcce79b5b765b54)
    {
        $this->icon = $_aad576a27d4270db0bcce79b5b765b54;
    }
    
    
    
    
    private function SetName(string $_8dabb06efc95df4cff7c4afe91857b53)
    {
        $this->name = $_8dabb06efc95df4cff7c4afe91857b53;
    }
}